XnCppWrapper.h File Reference
`#include <XnOpenNI.h>`
`#include <XnCodecIDs.h>`

Go to the source code of this file.

## Classes

class | xn::Version
class | xn::OutputMetaData
class | xn::MapMetaData
class | xn::Map< _pixelType >
class | xn::DepthMetaData
class | xn::ImageMetaData
class | xn::IRMetaData
class | xn::AudioMetaData
class | xn::SceneMetaData
class | xn::NodeWrapper
class | xn::NodeInfo
class | xn::Query
class | xn::NodeInfoList
class | xn::NodeInfoList::Iterator
class | xn::Capability
class | xn::ErrorStateCapability
class | xn::GeneralIntCapability
class | xn::ProductionNode
class | xn::DeviceIdentificationCapability
class | xn::Device
class | xn::MirrorCapability
class | xn::AlternativeViewPointCapability
class | xn::FrameSyncCapability
class | xn::Generator
class | xn::Recorder
class | xn::Player
class | xn::CroppingCapability
class | xn::AntiFlickerCapability
class | xn::MapGenerator
class | xn::UserPositionCapability
class | xn::DepthGenerator
class | xn::MockDepthGenerator
class | xn::ImageGenerator
class | xn::MockImageGenerator
class | xn::IRGenerator
class | xn::MockIRGenerator
class | xn::GestureGenerator
class | xn::SceneAnalyzer
class | xn::HandTouchingFOVEdgeCapability
class | xn::HandsGenerator
class | xn::SkeletonCapability
class | xn::PoseDetectionCapability
class | xn::UserGenerator
class | xn::AudioGenerator
class | xn::MockAudioGenerator
class | xn::MockRawGenerator
class | xn::Codec
class | xn::ScriptNode
class | xn::EnumerationErrors
class | xn::EnumerationErrors::Iterator
class | xn::Context
class | xn::Resolution
class | xn::StateChangedCallbackTranslator

## Namespaces

namespace | xn

## Typedefs

typedef void(* | xn::StateChangedHandler) (ProductionNode &node, void *pCookie)
typedef Map< XnDepthPixel > | xn::DepthMap
typedef Map< XnUInt8 > | xn::ImageMap
typedef Map< XnRGB24Pixel > | xn::RGB24Map
typedef Map< XnGrayscale16Pixel > | xn::Grayscale16Map
typedef Map< XnGrayscale8Pixel > | xn::Grayscale8Map
typedef Map< XnIRPixel > | xn::IRMap
typedef Map< XnLabel > | xn::LabelMap

## Functions

void | xn::GetVersion (XnVersion &Version)